Bug 209159 - mkinitrd spews selinux errors
mkinitrd spews selinux errors
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 12:49 EDT by Alan Cox
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 16:30:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2006-10-03 12:49:48 EDT
Description of problem:


Login and attempt to mkinitrd ready for own kernel

Spew consists of

SELinux: initialized (dev 0:17, type nfs), uses genfs_contexts
audit(1159900698.195:6): avc:  denied  { search } for  pid=25720 comm="mkinitrd"
name="" dev=0:17 ino=2 scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900698.519:7): avc:  denied  { search } for  pid=25723 comm="mkinitrd"
name="linux-2.6.18-mm2" dev=0:17 ino=263335
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900698.651:8): avc:  denied  { search } for  pid=25724 comm="mkinitrd"
name="linux-2.6.18-mm2" dev=0:17 ino=263335
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900717.152:9): avc:  denied  { search } for  pid=25726 comm="mkinitrd"
name="" dev=0:17 ino=2 scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900717.184:10): avc:  denied  { search } for  pid=25729
comm="mkinitrd" name="linux-2.6.18-mm2" dev=0:17 ino=263335
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900717.196:11): avc:  denied  { search } for  pid=25730
comm="mkinitrd" name="linux-2.6.18-mm2" dev=0:17 ino=263335
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900731.429:12): avc:  denied  { search } for  pid=25731
comm="mkinitrd" name="" dev=0:17 ino=2
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900731.509:13): avc:  denied  { search } for  pid=25735
comm="mkinitrd" name="linux-2.6.18-mm2" dev=0:17 ino=263335
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900731.717:14): avc:  denied  { search } for  pid=25737
comm="mkinitrd" name="linux-2.6.18-mm2" dev=0:17 ino=263335
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900731.717:15): avc:  denied  { search } for  pid=25738
comm="mkinitrd" name="linux-2.6.18-mm2" dev=0:17 ino=263335
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900732.689:16): avc:  denied  { search } for  pid=25753
comm="mkinitrd" name="linux-2.6.18-mm2" dev=0:17 ino=263335
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900732.697:17): avc:  denied  { search } for  pid=25755
comm="mkinitrd" name="linux-2.6.18-mm2" dev=0:17 ino=263335
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
audit(1159900732.709:18): avc:  denied  { search } for  pid=25756
comm="mkinitrd" name="linux-2.6.18-mm2" dev=0:17 ino=263335
scontext=root:system_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:nfs_t:s0 tclass=dir
Comment 1 Daniel Walsh 2007-02-14 16:30:08 EST
mkinitrd policy removed.

Note You need to log in before you can comment on or make changes to this bug.